{% extends 'layouts/main.html' %}

{% block title %}Home{% endblock %}

{% block content %}
    <form method="post" action="/read-captor">
        <button type="submit">Get current temperature</button>
    </form>
    <div class="row align-items-start">
        <div class="col">
        <h2>Input Registers</h2>
        <table  class="table">
            <tr>
                <th >Id</th>
                <th>Captor date</th>
                <th>Captor State</th>
                <th>Computer date</th>
            </tr>
            {% for register in input_registers %}
                <tr>
                  <td>{{ register[0] }}</td>
                  <td>{{ register[1] }}</td>
                  <td>{{ register[2] }}</td>
                  <td>{{ register[3] }}</td>
                </tr>
            {% endfor %}
        </table>
        </div>

        <div class="col">
        <h2>Holding Registers</h2>
        <table  class="table">
            <tr>
                <th>Id</th>
                <th>Captor date</th>
                <th>Password</th>
                <th>Night Password</th>
                <th>Computer date</th>
            </tr>
            {% for register in holding_registers %}
                <tr>
                  <td>{{ register[0] }}</td>
                  <td>{{ register[1] }}</td>
                  <td>{{ register[2] }}</td>
                  <td>{{ register[3] }}</td>
                  <td>{{ register[4] }}</td>
                </tr>
            {% endfor %}
        </table>
        </div>
    </div>

    <form method="post" action="/update-password" enctype="multipart/form-data">
        <label for="password">Password</label>
        <input type="text" name="password"
               placeholder="Password"
               value="{{ request.form['password'] or password }}"
        />
        <label for="night_password">Night Password</label>
        <input type="text" name="night_password"
               placeholder="Night Password"
               value="{{ request.form['night_password'] or night_password }}"
        />
        <button type="submit">Update Password</button>
    </form>

{% endblock %}